Subject: [bug#31416] [PATCH 3/4] bootloader: Add make-u-boot-bootloader.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 14 May 2018 10:34:20 +0200

Hello Danny,

Danny Milosavljevic <[email-masked]> skribis:

>>   (define-record-type <board>
>>     (board name triplet installer)
>>     …)
>> 
>> Thoughts?
>
> The idea of make-u-boot-bootloader (and os-with-u-boot) was that it would free
> us from having to play whack-a-mole regarding u-boot (except for the
> installation methods of which there are much fewer than boards or chip models)
> and also free the user from having to know anything but the board name.
>
> With your idea it would mean that we'd have to carry a huge list of <board>s,
> defining the board and architecture and installer, right? (or I guess the
> user would have to create it on-the-fly)
>
> That's exactly what I was trying to avoid :)

Oh I see, especially the 1.2K boards vs. 86 SoCs!

Then perhaps “board” is not the right abstraction; maybe <soc> would
make more sense?

Either way, my point was that it would be nice to have some abstraction
to clearly specify things, and then use that as an input to construct
both the U-Boot package and its configuration.

Or do you think enumerating the SoCs would still be too painful?  In
that case, some auto-guessing might be the right choice, but in general,
I think it should be a last resort.  :-)

Thanks,
Ludo’.